Skip to main content

Query Balance

API for querying platform wallet balance.

Request Information

  • Request URL: /gateway/api/v2/platforms/balance
  • Method: GET

Request Headers

ParameterTypeDescription
AuthorizationString{authorization} Authorization token assigned to the platform by the system

Request Parameters

None

Response Example

Success Response

{
"error_code": "0000",
"data": {
"platform_id": "PF0060",
"total_balance": 200300,
"total_frozen_balance": 0
}
}

Error Response Example

{
"error_code": "0006",
"error_msg": "Invalid Authorization!"
}

Response Parameter Description

ParameterTypeDescription
error_codeStringStatus Code
error_msgStringMessage (returned when error_code is not "0000")
platform_idStringPlatform Merchant ID
total_balanceIntTotal balance (in cents)
total_frozen_balanceIntTotal frozen balance (in cents)

Remarks

  • authorization is the authorization token assigned to the platform by the system. Please contact the system administrator if you have not received it
  • Balance is in Australian Dollar (cents)